Subject: Re: [PATCH v3 8/8] maintenance: use 'git config --fixed-value'

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Nov 2020 15:09:16 -0800

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> From: Derrick Stolee <[email-masked]>
>
> When a repository's leading directories contain regex metacharacters,
> the config calls for 'git maintenance register' and 'git maintenance
> unregister' are not careful enough. Use the new --fixed-value option
> to direct the config machinery to use exact string matches. This is a
> more robust option than escaping these arguments in a piecemeal fashion.
>
> For the test, require that we are not running on Windows since the '+'
> and '*' characters are not allowed on that filesystem.

Thanks.  

I was hoping there would be some byte we could use, but it seems
"a[]b" would not work if we go back beyond VFAT or NTFS.  !MINGW
it is, then.